| Kea 3.0.2-git

daemon.h File Reference
`#include <cc/data.h>`
`#include <process/config_base.h>`
`#include <util/pid_file.h>`
`#include <asiolink/io_service_signal.h>`
`#include <boost/noncopyable.hpp>`
`#include <boost/date_time/posix_time/posix_time.hpp>`
`#include <list>`
`#include <string>`
Include dependency graph for daemon.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::process::Daemon
| Base class for all services. More...
class | isc::process::DaemonPIDExists
| Exception thrown when the PID file points to a live PID. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::process